# brA.In-health Project

## Présentation

Il s'agit de développer une application mobile permettant de récupérer les données des capteurs (gyroscope et accéléromètre). 
Ensuite, on analyse ces données pour essayer de déduire les activités réalisées par une personne à partir de méthodes 
d'intelligence artificielle. Ces informations peuvent ensuite être transmises à un psychologue pour détecter des cas de dépression. 
Le code est donc composé de deux parties : 
- Partie mobile (Java avec Android Studio)
- Partie machine learning (Python)

## Auteurs

- Tristan Desjardins
- Alain Tran

## Partie mobile (Java avec Android Studio)
- Version d'Android Studio : 4.1.3 (Voir dans : File > Settings > Appearance & Behaviour > System Settings > Updates) 
- Version du SDK : Android 10.0 (Q), API Level = 29, Revision = 5 (Voir dans : File > Settings > Appearance & Behaviour > System Settings > Android SDK)


## Partie machine learning (Python)
Deux principaux modules sont utilisés dans cette partie : 
- Keras 2.4.3 (la version indépendante de TensorFlow) 
- TensorFlow 2.4.1 (qui comprend une autre version de Keras : tensorflow.keras) <br/>

Il est également impératif de télécharger les datasets de test et de train : [HARDataset](https://archive.ics.uci.edu/ml/machine-learning-databases/00240/). Une fois le dossier téléchargé, 
vous trouverez dedans un dossier "UCI HAR Dataset". Il faut le renommer en "HARDataset". Il ne vous reste qu'à mettre ce dossier "HARDataset"
dans le même dossier que les fichiers python "ipynb". 